Subject: bug#75143: debbugs info manual name

From: Michael Albinus <[email-masked]>
Date: Fri, 27 Dec 2024 18:10:16 +0100

Morgan Smith <[email-masked]> writes:

> Hello!

Hi Morgan,

> I wanted to make a quick suggestion on the debbugs info manuals names.
> I think we should name the user manual "debbugs" and the programmer
> manual "debbugs-programmer-manual" (NOT "debbugs-pm").
>
> Currently the info manual is called: debbugs-ug.info
> The programmer info manual is called: debbugs.info
>
> This means people typing "info debbugs" will get the programmer info
> manual, not the user info manual.
>
> When I was first starting to use debbugs I skimmed the programmer info
> manual accidentally and got quite confused trying to find the
> information I wanted.  I ran "info debbugs" and opened the section
> "searching bugs" hoping to find the user commands, not elisp ones.
>
> The programmer manual does mention the user manual but as I was skimming
> for something specific, not reading it carefully, I missed that.

Although I understand your reasons, I'm not convinced that this is worth
the trouble. The manuals exist for 13 years (debbugs.texi) and 10 years
(debbugs-ug.texi). It night confuse prople, if we rename them.

Furthermore, there are references to both manuals from outside. Those
references would be broken.

> Thanks,
> Morgan

Best regards, Michael.